# Contributing to schukai GmbH Projects

## Code of Conduct

Be a human, not an asshole. Common sense and basic human decency apply.

## Getting Started

### Setting up the Project

1. Fork the project on GitLab.
2. Clone your fork locally. Replace `[your-username]` with your GitLab username and `[project-name]` with the actual project name:
    ```bash
    git clone $(git config --get remote.origin.url)
    ```
3. Add the upstream repository. Replace `[original-username]` and `[project-name]` with the original repository's username and project name:
    ```bash
    git remote add upstream https://gitlab.schukai.com/[original-username]/[project-name].git
    ```

### Making Changes

1. Create a new branch:
    ```bash
    git checkout -b new-feature-branch
    ```
2. Make your changes.
3. Commit your changes:
    ```bash
    git commit -m "Description of change"
    ```

### Submitting a Merge Request

1. Push your changes to your fork:
    ```bash
    git push origin new-feature-branch
    ```
2. Navigate to the original project repository on `gitlab.schukai.com`.
3. Open a Merge Request and provide a clear description of the changes.

## Coding Guidelines

- Follow the coding style used in the project.
- Write unit tests for new features.
- Ensure that all tests pass before submitting a Merge Request.

## Reporting Issues

If you find an issue, please create a new issue on `gitlab.schukai.com`.

## Additional Resources

- [GitLab Flow](https://docs.gitlab.com/ee/topics/gitlab_flow.html)
- [GitLab Merge Request Guidelines](https://docs.gitlab.com/ee/user/project/merge_requests/)

Thank you for your contribution! 
    
